Saying goodbye to Rails 4.2


(Aaron Russell) #1

The latest version of PushType (currently 0.11.0.beta.1) is currently breaking compatibility with Rails 4.2 - this is mainly to do with the changes to migrations and controller tests that were introduced in Rails 5 and with breaking deprecations in 5.1.

As we’re still pre version 1, my priority is building new features over maintaining backward compatibility with Rails, so unless I can be convinced otherwise, the next version of PushType will be the point we say goodbye to Rails 4.2.

Be prepared.